org.eclipse.jetty.util.log.jmx

## Class LogMBean

- java.lang.Object
- - org.eclipse.jetty.jmx.ObjectMBean
  - - org.eclipse.jetty.util.log.jmx.LogMBean

All Implemented Interfaces:
  DynamicMBean

    public class LogMBean
    extends ObjectMBean

### Field Summary

### Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean

`_managed`

### Constructor Summary

Constructors
Constructor and Description
`LogMBean(Object managedObject)`

### Method Summary

Methods
`List<String>` `getLoggers()`
`boolean` `isDebugEnabled(String logger)`
`void` `setDebugEnabled(String logger, Boolean enabled)`

### Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean

`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectContextBasis, getObjectName, getObjectNameBasis, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogMBean

    public LogMBean(Object managedObject)

### Method Detail

#### getLoggers

    public List<String> getLoggers()

#### isDebugEnabled

    public boolean isDebugEnabled(String logger)

#### setDebugEnabled

    public void setDebugEnabled(String logger,
                       Boolean enabled)